Get all approval attributes

get

/fscmRestApi/resources/11.13.18.05/approvalAttributesLOV

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds approval attributes with the specified primary key.
      Finder Variables
      • AttributeId; integer; Unique identifier of the approval attribute.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • ActionSupportTypeCode; string; Code that identifies the action support type. Valid values include USER and POSITION.
    • AggregationAttributeTypeCode; string; Code that identifies the aggregation behavior of the approval attribute used during rule evaluation. Valid values include A, B, and C.
    • Attribute; string; Name of the approval attribute.
    • AttributeId; integer; Unique identifier of the approval attribute.
    • AttributeTypeCode; string; Code that identifies the functional type of the approval attribute. Valid values include BASIC, RULE_ONLY, NOTIFICATION_ONLY, CUSTOM, AGGREGATE, and CURRENCY.
    • DimensionCode; string; Abbreviation that identifies the dimension for the approval attribute.
    • DimensionLevel; integer; Numeric level assigned to the dimension of the approval attribute.
    • DisplayDataTypeCode; string; Code that identifies the display data type of the approval attribute, such as String or Number. This attribute isn't applicable for approval attribute types such as NOTIFICATION_ONLY, CUSTOM, AGGREGATE, and CURRENCY.
    • DisplayTypeCode; string; Code that identifies the display type of the approval attribute, such as LOV, INPUT_TEXT, CHOICELIST, or LOV_CHOICELIST. This attribute isn't applicable for approval attribute types such as NOTIFICATION_ONLY, CUSTOM, AGGREGATE, and CURRENCY.
    • FromCurrencyAttributeKey; string; Alternate key that identifies the approval attribute that provides the source currency for a currency-based attribute value. If no value is returned, then the attribute isn't currency-based or currency conversion isn't supported for the attribute.
    • HierarchyTypeCode; string; Code that identifies the hierarchy-based aggregation support for the approval attribute, such as ACCOUNT or CATEGORY. If the value is null, the attribute doesn't support hierarchy-based aggregation.
    • InternalAttributeId; integer; Unique identifier of the internal approval attribute. Use this value when creating or updating approval rule conditions.
    • RollupFlag; boolean; Indicates whether the attribute supports rollup conditions. Contains one of these values: true or false. If true, then rollup conditions are supported for the attribute. If false, then rollup conditions aren't supported for the attribute. This attribute doesn't have a default value.
    • RuleDataTypeCode; string; Code that identifies the data type of the approval attribute used in BPM approval rules. Valid values include String, Long, and BigDecimal.
    • TaskId; integer; Unique identifier of the approval task.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : approvalAttributesLOV
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : approvalAttributesLOV-item-response
Type: object
Show Source
  • Read Only: true
    Maximum Length: 30
    Code that identifies the action support type. Valid values include USER and POSITION.
  • Read Only: true
    Maximum Length: 1
    Code that identifies the aggregation behavior of the approval attribute used during rule evaluation. Valid values include A, B, and C.
  • Read Only: true
    Maximum Length: 255
    Name of the approval attribute.
  • Read Only: true
    Unique identifier of the approval attribute.
  • Read Only: true
    Maximum Length: 100
    The alternate key identifier of the approval attribute.
  • Read Only: true
    Maximum Length: 30
    Code that identifies the lookup value for the attribute.
  • Read Only: true
    Maximum Length: 30
    Code that identifies the functional type of the approval attribute. Valid values include BASIC, RULE_ONLY, NOTIFICATION_ONLY, CUSTOM, AGGREGATE, and CURRENCY.
  • Read Only: true
    Maximum Length: 80
    Dimension used to categorize the approval attribute.
  • Read Only: true
    Maximum Length: 30
    Abbreviation that identifies the dimension for the approval attribute.
  • Read Only: true
    Maximum Length: 100
    Value that identifies the dimension for the approval attribute.
  • Read Only: true
    Numeric level assigned to the dimension of the approval attribute.
  • Read Only: true
    Maximum Length: 30
    Code that identifies the display data type of the approval attribute, such as String or Number. This attribute isn't applicable for approval attribute types such as NOTIFICATION_ONLY, CUSTOM, AGGREGATE, and CURRENCY.
  • Read Only: true
    Maximum Length: 30
    Code that identifies the display type of the approval attribute, such as LOV, INPUT_TEXT, CHOICELIST, or LOV_CHOICELIST. This attribute isn't applicable for approval attribute types such as NOTIFICATION_ONLY, CUSTOM, AGGREGATE, and CURRENCY.
  • Read Only: true
    Maximum Length: 100
    Alternate key that identifies the approval attribute that provides the source currency for a currency-based attribute value. If no value is returned, then the attribute isn't currency-based or currency conversion isn't supported for the attribute.
  • Read Only: true
    Maximum Length: 30
    Code that identifies the hierarchy-based aggregation support for the approval attribute, such as ACCOUNT or CATEGORY. If the value is null, the attribute doesn't support hierarchy-based aggregation.
  • Read Only: true
    Unique identifier of the internal approval attribute. Use this value when creating or updating approval rule conditions.
  • Links
  • Read Only: true
    Maximum Length: 1
    Indicates whether the attribute supports rollup conditions. Contains one of these values: true or false. If true, then rollup conditions are supported for the attribute. If false, then rollup conditions aren't supported for the attribute. This attribute doesn't have a default value.
  • Read Only: true
    Maximum Length: 30
    Code that identifies the data type of the approval attribute used in BPM approval rules. Valid values include String, Long, and BigDecimal.
  • Read Only: true
    Unique identifier of the approval task.
Back to Top